#ifndef COLLISIONSTRIP_H
#define COLLISIONSTRIP_H

#include "StripAnimation.h"
#include "LEDHAL.h"

class CollisionStrip : public StripAnimation {
  public:
    CollisionStrip(LEDHAL* _strip, char* _refName, long _updateTime, CRGB _color1,
      CRGB _color2) : StripAnimation(_strip, _refName, _updateTime), color1(_color1),
      color2(_color2), collisionInt(0) {}
    virtual ~CollisionStrip() {}

    void initialize() {
      collisionInt = 0;
      resetTimer();
    }

    void execute();
  private:
    uint16_t
      collisionInt;
    CRGB
      color1,
      color2;
};

#endif