#ifndef MATRIXANIMATION_H
#define MATRIXANIMATION_H

#include "AnimationBase.h"
#include "LEDHAL2D.h"

class MatrixAnimation : public AnimationBase {
  public:
    MatrixAnimation(LEDHAL2D* _matrix, char* _refName, long _updateTime) :
      AnimationBase(_refName, _updateTime), matrix(_matrix) {}
    virtual ~MatrixAnimation() {}

    LEDHAL2D* getMatrix() { return matrix; }
  protected:
    LEDHAL2D*
      matrix;
};

#endif