#ifndef STRIPANIMATION_H
#define STRIPANIMATION_H

#include "AnimationBase.h"
#include "LEDHAL.h"

class StripAnimation : public AnimationBase {
  public:
    StripAnimation(LEDHAL* _strip, char* _refName, long _updateTime) :
      AnimationBase(_refName, _updateTime), strip(_strip) {}
    virtual ~StripAnimation() {}

    LEDHAL* getStrip() { return strip; }
  protected:
    LEDHAL*
      strip;
};

#endif