#include "AlternateMatrix.h"

void AlternateMatrix::execute() {
  if(type == AlternateType::HORIZONTAL_ALTERNATE) {
    for(int16_t i = 0; i < matrix->getHeight(); i++) {
      matrix->drawFastHLine(0, i, matrix->getWidth(), 
        colors[(i + alternateInt) % numColors]);
    }
  } else if(type == AlternateType::VERTICAL_ALTERNATE) {
    for(int16_t i = 0; i < matrix->getWidth(); i++) {
      matrix->drawFastVLine(i, 0, matrix->getHeight(), 
        colors[(i + alternateInt) % numColors]);
    }
  }

  alternateInt++;
  matrix->requestShow();
}