#include "GIFMatrix.h"

void GIFMatrix::buildCodeTable() {
    // I am not confident this is going to work, it's a lot of memory cleanup,
    // memory that is dynamic, and I'm afraid it's going to cause destructive memory
    // corruption
    if(currentCodeTable != nullptr) {
        for(uint16_t i = 0; i < sizeof(currentCodeTable)/sizeof(uint16_t*); i++) {
            delete currentCodeTable[i];
        }

        delete currentCodeTable;
    }

    
}

void GIFMatrix::drawForArray(CRGB* colorTable, uint16_t* indexes, uint16_t startingXPosition, uint16_t imageWidth) {
    for(uint16_t i = 0; i < sizeof(indexes)/sizeof(uint16_t); i++) {
        matrix->drawPixel(currentXPosition, currentYPosition, colorTable[indexes[i]]);

        currentXPosition++;

        if(currentXPosition >= (imageWidth + startingXPosition)) {
            currentXPosition = startingXPosition;
            currentYPosition++;
        }
    }
}

uint16_t GIFMatrix::readWord() {
    uint16_t lsb = dataFile->read();
    uint16_t msb = dataFile->read();

    return (msb << 8) | lsb;
}