#include "CollisionMatrix.h"

void CollisionMatrix::execute() {
  if(collisionInt == 0) {
    matrix->clearLEDs();
  }

  if(type == CollisionType::HORIZONTAL_COLLISION) {
    matrix->drawFastHLine(0, collisionInt, matrix->getWidth(), color1);
    matrix->drawFastHLine(0, matrix->getHeight() - collisionInt - 1, matrix->getWidth(), color2);
  } else if(type == CollisionType::VERTICAL_COLLISION) {
    matrix->drawFastVLine(collisionInt, 0, matrix->getHeight(), color1);
    matrix->drawFastVLine(matrix->getWidth() - 1 - collisionInt, 0, matrix->getHeight(), color2);
  }

  collisionInt++;

  if(collisionInt >= (type == CollisionType::HORIZONTAL_COLLISION ? matrix->getHeight() : matrix->getWidth())) {
    collisionInt = 0;
  }

  matrix->requestShow();
}