#include "CycleLightMatrix.h"

void CycleLightMatrix::execute() {
  if(cycleLightInt == 0) {
    matrix->clearLEDs();
  }

  if(type == CycleLightType::HORIZONTAL_CYCLELIGHT) {
    matrix->drawFastHLine(0, cycleLightInt, matrix->getWidth(), 
      colors[cycleLightColor % numColors]);
  } else if(type == CycleLightType::VERTICAL_CYCLELIGHT) {
    matrix->drawFastVLine(cycleLightInt, 0, matrix->getHeight(),
      colors[cycleLightColor % numColors]);
  }

  cycleLightInt++;

  if(cycleLightInt >= (type == CycleLightType::HORIZONTAL_CYCLELIGHT ? matrix->getHeight() : matrix->getWidth())) {
    cycleLightInt = 0;
    cycleLightColor++;
  }

  matrix->requestShow();
}